summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2018-06-20 18:47:45 +0200
committerPacho Ramos <pacho@gentoo.org>2018-06-20 18:59:29 +0200
commitccbaa195b72353cb538639681ca20f45c61995c2 (patch)
treeaaebc34dd2dd83cb7489ff420c6b0ac6d7d36fbb /net-voip
parentmail-mta/postfix: bump to 3.4_pre20180620 (diff)
downloadgentoo-ccbaa195b72353cb538639681ca20f45c61995c2.tar.gz
gentoo-ccbaa195b72353cb538639681ca20f45c61995c2.tar.bz2
gentoo-ccbaa195b72353cb538639681ca20f45c61995c2.zip
net-voip/linphone: Drop old/broken version
Lots of bugs and not really stable at present time (#626420) Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'net-voip')
-rw-r--r--net-voip/linphone/Manifest1
-rw-r--r--net-voip/linphone/files/linphone-3.5.2-automake-1.13.patch19
-rw-r--r--net-voip/linphone/files/linphone-3.5.2-nls.patch15
-rw-r--r--net-voip/linphone/linphone-3.5.2.ebuild109
4 files changed, 0 insertions, 144 deletions
diff --git a/net-voip/linphone/Manifest b/net-voip/linphone/Manifest
index 37228468bfd..904b91cb096 100644
--- a/net-voip/linphone/Manifest
+++ b/net-voip/linphone/Manifest
@@ -1,3 +1,2 @@
-DIST linphone-3.5.2.tar.gz 8338517 BLAKE2B df44f2885a7ef1c2ccdfcb5755b947ff27ef85fd467b8a98fcce859fdc16c82679e0f6f8de811760345cfd9150ca1f3e93121ff2f45240eb78e4b3856cc1137d SHA512 a45be141af3ee5fc37d314889b92246000810b2b5e129088a30e3ba9335f6cecd226b488a568953463d38806491471e3798be99eda7ceba9d421ff0fa7a995c9
DIST linphone-3.6.1-exosip-4.patch 89376 BLAKE2B 128b0406fb382dcc0e683777322d6ae2230de8fb09e8d0e1b35ecd6bd0d8518b6e9759c703545fc0bc2e1b1ee754eaf7d5bd6396a58b9d638de6de4fcf3a09f3 SHA512 bdab74336cb8235b3396230278fd8eb465defac1175b00ff9cf273ef2dbc4e05f63d2574de599618e4d963b42ad17ac4f0c8c9013e40a497c99211041317313d
DIST linphone-3.6.1.tar.gz 11458586 BLAKE2B e89576eb313e5707c83e8df66a20e630f4244cadfec580f58fd0a9f2f3fe9600b85b17049af0a89ddc2059b932f9d3af9abecda45500b6689f1a09ca1b3f6c28 SHA512 688ccfb333b2302ca20c2c77e38b20deee8b1c5f3c31f7a4b666d81114ea3e5cbe38bac6d88116d635ac3fcb7f38d013e35c7c076549cc3d7ae900456d51b5e4
diff --git a/net-voip/linphone/files/linphone-3.5.2-automake-1.13.patch b/net-voip/linphone/files/linphone-3.5.2-automake-1.13.patch
deleted file mode 100644
index 44d679c473a..00000000000
--- a/net-voip/linphone/files/linphone-3.5.2-automake-1.13.patch
+++ /dev/null
@@ -1,19 +0,0 @@
-Author: hasufell <hasufell@gentoo.org>
-Date: Sun Sep 29 17:41:02 2013 +0200
-
- remove obsolete macro
-
- AC_PROG_CC is already called anyway
-
-diff --git a/configure.ac b/configure.ac
-index 22bc235..81f6277 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -39,7 +39,6 @@ AC_ISC_POSIX
- AC_PROG_CC
- AC_PROG_CXX
- AC_C_INLINE
--AM_PROG_CC_STDC
- AC_HEADER_STDC
- AM_PROG_CC_C_O
- AC_CHECK_PROGS(MD5SUM,[md5sum md5])
diff --git a/net-voip/linphone/files/linphone-3.5.2-nls.patch b/net-voip/linphone/files/linphone-3.5.2-nls.patch
deleted file mode 100644
index b9624048edf..00000000000
--- a/net-voip/linphone/files/linphone-3.5.2-nls.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-diff -r 5c0dde6115a0 -r 082bb23f04a9 configure.ac
---- a/configure.ac Thu Mar 29 12:44:23 2012 +0400
-+++ b/configure.ac Thu Mar 29 12:48:40 2012 +0400
-@@ -80,7 +80,10 @@
- AC_SUBST(GUI_FLAGS)
-
- dnl localization tools
--IT_PROG_INTLTOOL([0.40], [no-xml])
-+AM_NLS
-+if test "$USE_NLS" != "no"; then
-+ IT_PROG_INTLTOOL([0.40], [no-xml])
-+fi
-
- AM_CONDITIONAL(BUILD_TESTS,test x$build_tests != xno)
- dnl Initialize libtool
diff --git a/net-voip/linphone/linphone-3.5.2.ebuild b/net-voip/linphone/linphone-3.5.2.ebuild
deleted file mode 100644
index f9e943659d1..00000000000
--- a/net-voip/linphone/linphone-3.5.2.ebuild
+++ /dev/null
@@ -1,109 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit autotools eutils multilib pax-utils versionator
-
-DESCRIPTION="Video softphone based on the SIP protocol"
-HOMEPAGE="http://www.linphone.org/"
-SRC_URI="mirror://nongnu/${PN}/$(get_version_component_range 1-2).x/sources/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-# TODO: run-time test for ipv6: does it need mediastreamer[ipv6]?
-IUSE="doc gsm-nonstandard gtk ipv6 ncurses nls ssl video"
-
-RDEPEND="
- =media-libs/mediastreamer-2.8*[video?,ipv6?]
- >=net-libs/libeXosip-3.0.2
- >=net-libs/libosip-3.0.0
- <net-libs/libosip-4
- <net-libs/libeXosip-4
- >=net-libs/libsoup-2.26
- >=net-libs/ortp-0.20.0
- <net-libs/ortp-0.22.0
- gtk? (
- dev-libs/glib:2
- >=gnome-base/libglade-2.4.0:2.0
- >=x11-libs/gtk+-2.4.0:2
- x11-libs/libnotify
- )
- gsm-nonstandard? ( =media-libs/mediastreamer-2.8*[gsm] )
- ncurses? (
- sys-libs/readline:=
- sys-libs/ncurses
- )
- ssl? ( dev-libs/openssl:= )
-"
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- doc? ( app-text/sgmltools-lite )
- nls? (
- dev-util/intltool
- sys-devel/gettext
- )
-"
-
-pkg_setup() {
- if ! use gtk && ! use ncurses ; then
- ewarn "gtk and ncurses are disabled."
- ewarn "At least one of these use flags are needed to get a front-end."
- ewarn "Only liblinphone is going to be installed."
- fi
-
- local my_linguas="fr it de ja es pl cs nl sv pt_BR hu ru zh_CN"
- strip-linguas ${my_linguas}
-}
-
-src_prepare() {
- epatch "${FILESDIR}"/${P}-nls.patch \
- "${FILESDIR}"/${P}-automake-1.13.patch
- # remove speex check, avoid bug when mediastreamer[-speex]
- sed -i -e '/SPEEX/d' configure.ac || die "patching configure.ac failed"
-
- # variable causes "command not found" warning and is not
- # needed anyway
- sed -i -e 's/$(ACLOCAL_MACOS_FLAGS)//' Makefile.am || die
-
- # fix path to use lib64
- sed -i -e "s:lib\(/liblinphone\):$(get_libdir)\1:" configure.ac \
- || die "patching configure.ac failed"
-
- # removing bundled libs dir prevent them to be reconf
- rm -rf mediastreamer2 oRTP || die "should not die"
- sed -i -e "s:oRTP::;s:mediastreamer2::" Makefile.am \
- || die "patching Makefile.am failed"
-
- eautoreconf
-}
-
-src_configure() {
- local myeconfargs=(
- --disable-static
- # we don't want -Werror
- --disable-strict
- # don't bundle libs
- --enable-external-ortp
- --enable-external-mediastreamer
- # seems not used, TODO: ask in ml
- --disable-truespeech
- --disable-zrtp
- $(use_enable doc manual)
- $(use_enable gsm-nonstandard nonstandard-gsm)
- $(use_enable gtk gtk_ui)
- $(use_enable ipv6)
- $(use_enable ncurses console_ui)
- $(use_enable nls)
- $(use_enable video)
- )
-
- econf "${myeconfargs[@]}"
-}
-
-src_install() {
- emake DESTDIR="${D}" pkgdocdir="/usr/share/doc/${PF}" install # 415161
- dodoc AUTHORS BUGS ChangeLog NEWS README README.arm TODO
- pax-mark m "${ED}usr/bin/linphone"
-}